OsmoBSCNAT - Feature #2545

OsmoBSCNAT misses 3GPP AolP
10/06/2017 12:27 PM - laforge

Status: New Start date: 10/06/2017
Priority: Low Due date:

Assignee: % Done: 0%
Category:

Target version: OSMUX Generalization

Spec Reference:

Description
osmo-bsc_nat in its current form was written strictly for SCCPlite / IPA multiplex.

It hence doesn't understand the 3GPP AolP protocol variant, and doesn't use libosmo-sigtran for interfacing with either BSCs or
MSCs

In order to be able to use it also with 3GPP AolP, we will probably need to

* make sure SCCPIlite/IPA support in libosmo-sigtran is complete + validated

e port osmo-bscnat over to use libosmo-sigtran as transport interface on both BSC and MSC facing interfaces

¢ run an instance of osmo-mgw next to osmo-bsc_nat for handling RTP and OSMUX media streams to/from BSC and RTP to the
(3rd party) MSC

History

#1 - 10/06/2017 12:27 PM - laforge
- Subject changed from OsmoBSCNAT misses AolP to OsmoBSCNAT misses 3GPP AolP

#2 - 10/29/2017 07:08 PM - laforge

- Target version set to OSMUX Generalization

#3 - 05/30/2018 02:14 PM - laforge
- Tracker changed from Bug to Feature

- Priority changed from Normal to Low

#4 - 06/08/2020 07:07 PM - laforge
